import React, { useState } from "react";

import DatePicker from './DatePicker';
import styled from "styled-components";

const DatePickerContainer = styled.main`
  border-radius: 15px;
  display: flex;
`;

export default function App() {
  const [date, setDate] = useState(new Date());
  const [dateInput, setDateInput] = useState();
  const [openCalendar, setOpenCalendar]= useState(false);
  const [changeInput, setChangeInput]= useState(false);
  const dateInputString = new Date();

  return (
    <DatePickerContainer>
      <DatePicker 
        date={date}
        setDate={setDate}
        openCalendar={openCalendar}
        setOpenCalendar={setOpenCalendar}
        dateInput={dateInput}
        setDateInput={setDateInput}
        changeInput={changeInput}
        setChangeInput={setChangeInput}
        dateInputString={dateInputString}
      />
    </DatePickerContainer>
  );
}


