import { React, useState } from "react";
import Calendar from 'react-calendar';
import "react-calendar/dist/Calendar.css";
import styled from "styled-components";

const CalendarWrapper = styled.div`
  box-shadow: 5px 5px 15px 5px #000000;
  margin: 20px;
  inset: 0px auto auto 0px;
  transform: translate3d(-18px, 20px, 0px);
`;

/**
 * Component datapicker
 */
export default function DatePicker(props) {
    
    const todaysDateInNumbers = props.date.toLocaleDateString();
    
    if (props.dateInput){
        const words = props.dateInput.split('/');
        const day = words[0];
        const month = words[1];
        const year = words[2];
        props.dateInputString.setDate(day);
        props.dateInputString.setMonth(month-1);
        props.dateInputString.setFullYear(year);
    }
    
    const onChange = date => {
        props.setDate(date);
        props.setOpenCalendar(false);
        props.setChangeInput(false);
    }

    const handleChange = (e) => {
        props.setDateInput(e.target.value);
        props.setChangeInput(true)
      if(e.target.value.length === 10){
        props.setOpenCalendar(false);
      }
    }

    const handleClick = () =>{
        props.setOpenCalendar(true);
    }

    const inputValue = props.dateInput && props.changeInput ? props.dateInput : todaysDateInNumbers;
    const calendarValue = props.dateInput && props.changeInput ? props.dateInputString : props.date;

    return (
        <div>
            <input value={inputValue} onClick={handleClick} onChange={handleChange} type="text"/>
            {props.openCalendar ? (
                <CalendarWrapper >
                    <Calendar onChange={onChange} value={calendarValue}/>
                </CalendarWrapper>
                    
            ): null}
        </div>
    )
}
